Loading...
Searching...
No Matches
bsoncxx::v1 Namespace Reference

## Description

Declares entities whose ABI stability is guaranteed for documented symbols.

## Namespaces

namespace | array
| Declares entities representing a BSON array.
namespace | document
| Declares entities representing a BSON document.
namespace | element
| Declares entities representing a BSON element.
namespace | stdx
| Declares C++17 standard library polyfills.
namespace | types
| Declares entities representing a BSON type value.

## Classes

class | decimal128
| A BSON Decimal128. More...
class | exception
| Base class for all exceptions thrown by bsoncxx::v1. More...
class | oid
| A BSON ObjectID. More...

## Enumerations

enum class | source_errc
| Enumeration identifying the source of a bsoncxx::v1 error. More...
enum class | type_errc
| Enumeration identifying the type (cause) of a bsoncxx::v1 error. More...

## Functions

std::error_condition | make_error_condition (source_errc code)
| Support implicit conversion to std::error_condition.
std::error_condition | make_error_condition (type_errc code)
| Support implicit conversion to std::error_condition.
std::error_category const & | source_error_category ()
| The error category for bsoncxx::v1::source_errc.
std::error_category const & | type_error_category ()
| The error category for bsoncxx::v1::type_errc.

## Enumeration Type Documentation

## source_errc

enum class bsoncxx::v1::source_errc

strong

Enumeration identifying the source of a bsoncxx::v1 error.

Enumerator
zero | Zero.
bsoncxx | From the bsoncxx library.
bson | From the bson library.

## type_errc

enum class bsoncxx::v1::type_errc

strong

Enumeration identifying the type (cause) of a bsoncxx::v1 error.

Enumerator
zero | Zero.
invalid_argument | An invalid argument passed to the throwing function.
runtime_error | An erroneous condition was detected at runtime.

## Function Documentation

## make_error_condition() [1/2]

std::error_condition bsoncxx::v1::make_error_condition | ( | source_errc | code | ) |

inline

Support implicit conversion to std::error_condition.

## make_error_condition() [2/2]

std::error_condition bsoncxx::v1::make_error_condition | ( | type_errc | code | ) |

inline

Support implicit conversion to std::error_condition.

## source_error_category()

std::error_category const & bsoncxx::v1::source_error_category | ( |  | ) |

The error category for bsoncxx::v1::source_errc.

## type_error_category()

std::error_category const & bsoncxx::v1::type_error_category | ( |  | ) |

The error category for bsoncxx::v1::type_errc.